using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zadatak2
{
    class Program
    {
        static int najbliziCentru(int[] niz, int a)
        {
            if (a < niz.Length / 2)
                for (int i = a; i < niz.Length / 2; i++)
                    if (niz[i + 1] == niz[a]) a++;
                    else return a;
            else if (a > niz.Length / 2)
                for (int i = a; i > niz.Length / 2; i--)
                    if (niz[i - 1] == niz[a]) a--;
                    else return a;

            return a;

        }

        static int Leva(int[] niz, int a)
        {
            int pozicija = Array.BinarySearch(niz, a);
            if (pozicija >= 0) return najbliziCentru(niz, pozicija);
            else return Math.Abs(pozicija) - 1;
        }
        static int Desna(int[] niz, int a)
        {
            int pozicija = Array.BinarySearch(niz, a);
            if (pozicija >= 0) return niz.Length - najbliziCentru(niz, pozicija) - 1;
            else return niz.Length - Math.Abs(pozicija) + 1;
        }

        static int Resenje(int[] niz, int a)
        {
            int levaStrana = Leva(niz, a);
            int desnaStrana = Desna(niz, a);
            int uNizu = Array.BinarySearch(niz, a);

            if (uNizu >= 0)
            {
                if (levaStrana == desnaStrana) return 0;
                else if (levaStrana > desnaStrana) return levaStrana - desnaStrana - 1;
                else return desnaStrana - levaStrana;
            }
            else
            {

                if (levaStrana == desnaStrana) return 1;
                else if (levaStrana > desnaStrana) return levaStrana - desnaStrana;
                else return desnaStrana - levaStrana + 1;
            }
            
        }

        static void Main(string[] args)
        {
            int N, Q;
            string[] s = Console.ReadLine().Split();
            N = Convert.ToInt32(s[0]);
            Q = Convert.ToInt32(s[1]);
            int[] niz = new int[N];
            int[] provera = new int[Q];

            string[] s1 = Console.ReadLine().Split();
            for (int i = 0; i < niz.Length; i++)
            {
                niz[i] = Convert.ToInt32(s1[i]);
            }
            string[] s2 = Console.ReadLine().Split();
            for (int i = 0; i < provera.Length; i++)
            {
                provera[i] = Convert.ToInt32(s2[i]);
            }

            for (int i = 0; i < provera.Length; i++)
                Console.WriteLine(Resenje(niz, provera[i])); 

            Console.ReadLine();
        }
    }
}